<apex:page controller="ATSQuoteTemplateControllerOpp" renderAs="pdf" showHeader="false" applyHtmlTag="false" >
    <head>
        <style>
            @page {
                size: letter;
                margin: 20mm;
                
                @top-left {
                    content: "Husky Marketing and Supply Company - Offer";
                }
                @top-right {
                    content: "Page " counter(page) " of " counter(pages);
                }
            }
            .page-break {
                display:block;
            }
            .body {
                font-family: Arial Unicode MS;              
            }
            .headerStyle{
                font-weight:bold
            }
            .comments{
                font-family:Arial Unicode MS;
                font-size:12px;
            }
        </style>
    </head>
    <body>
        <div class="page-break">
            <table width="100%">
                <tr width="100%">                   
                    <td width="100%" alight="center">
                        <apex:image value="{!URLFOR($Resource.ATSQuoteTemplateLogos, 'ATSQuoteTemplateLogos/HOMC.JPG')}" width="600" height="100"/>
                    </td>                   
                </tr>
                <tr width="100%">
                    <td colspan="3" align="center">
                    <apex:outputText id="tenderName" value="{!quote.tenderName}"/>&nbsp;-&nbsp;
                    <apex:outputText value="{0,date,MMMM dd, yyyy}">
                    <apex:param value="{!NOW()}" />
                    </apex:outputText>
                    </td>
                </tr>
            </table>
            <br/>
            <table style="border:1px solid #CCCCCC" width="100%">
                <tr width="100%">
                    <td width="34%">
                        <apex:outputLabel for="accountName" value="To: "/>
                        <apex:outputText id="accountName" value="{!quote.accountName}"/>                       
                    </td>
                    <td width="32%">
                        <apex:outputLabel for="attn" value="Attn: "/>
                        <apex:outputText id="attn" value="{!quote.contactName}"/>                        
                    </td>
                    <td width="33%">
                        <apex:outputLabel for="email" value="Email: "/>
                        <apex:outputText id="email" value="{!quote.contactEmailAddress}"/>
                    </td>
                </tr>
            </table>
            <table width="100%" style="font-size:70%">
                <tr width="100%">
                    <td>
                        Our Current Pricing and Conditions for the supply of refined products are as follows:      
                    </td>
                    <td style="font-size:150%">
                        <bold >OFFER</bold>
                    </td>                    
                </tr>
            </table>
            
            <table width="100%" style="font-size:80%">
                <tr>
                    <td style="font-weight:bold"  width="20%">
                        OPPORTUNITY-en:
                    </td>
                    <td>
                        <!-- <apex:outputText id="tenderNumber" value="{!quote.tenderNumber}"/> -->
                         <apex:outputText id="opportunityName" value="{!quote.tenderName}"/>
                    </td>
                </tr>
                <tr>
                    <td style="font-weight:bold">
                        PROJECT: 
                    </td>
                    <td>
                        <apex:outputText id="project" escape="false" value="{!quote.project}"/>
                    </td>
                </tr>
                
                <tr>    
                    <td style="font-weight:bold">
                        PRICE VALID:<br/>
                        (DD/MM/YYYY)                        
                    </td>
                    <td>
                        <apex:outputText id="valid" value="{!quote.priceValid}"/>
                    </td>
                    
                </tr>                                 
            </table>

            <apex:repeat value="{!quote.opportunities}" var="opp">   
                
                <apex:outputText value="<br />{!opp.obj.RecordType.Name} <br />" style="font-size: 14px; font-weight:bold;" escape="false"/>                                                         
                <apex:outputText escape="false" style="font-size:12px" value="<br /><b> F.O.B.: </b> {!quote.destination} <br /> <br/>" />                
                <apex:outputText escape="false" style="font-size:12px" rendered="{!opp.obj.Product_Category_Comments__c != ''}" value="<b>Product Category Comments:</b> {!opp.obj.Product_Category_Comments__c} <br/> <br />" />
                
                <apex:dataTable value="{!opp.Products}" var="c" headerClass="headerStyle" border="1" style="border-collapse:collapse; border: 1px solid #CCCCCC; 
                        font-size: 70%; text-align:center;" columnsWidth="150px, 50px, 250px, 50px, 50px, 50px, 180px">
<!-- KK 2014-12-02 replace c.obj.PricebookEntry.Name with c.obj.PricebookEntry.Product2.Product_AKA_SMS_Name__c.  But this is deferred for now -->                        
                       <apex:column headerValue="Product" value="{!c.obj.PricebookEntry.Name}" /><!--c.obj.PricebookEntry.Product2.Product_AKA_SMS_Name__c-->
                       <apex:column headerValue="Type" value="{!c.obj.Price_Type__c}" />
                       <apex:column style="text-align:left; padding-left:5px">
                            <apex:facet name="header">Price/Unit</apex:facet>
                            <apex:outputText rendered="{!c.obj.Include_Sales_Price__c}"
                            value="$&nbsp{0, number, #,###.0000} {!c.obj.Currency__c} /{!c.obj.Unit__c} <br/>" escape = "false">
                                <apex:param value="{!c.SalesPrice}"/>
                            </apex:outputText>
                            <apex:outputText rendered="{!c.obj.Include_Axle_5__c}"
                            value="$&nbsp{0, number, #,###.0000} {!c.obj.Currency__c} /{!c.obj.Unit__c} <br/>" escape = "false">
                                <apex:param value="{!c.Axle5Price}"/>
                            </apex:outputText>
                            <apex:outputText rendered="{!c.obj.Include_Axle_6__c}"
                            value="$&nbsp{0, number, #,###.0000} {!c.obj.Currency__c} /{!c.obj.Unit__c} <br/>" escape = "false">
                                <apex:param value="{!c.Axle6Price}"/>
                            </apex:outputText>
                            <apex:outputText rendered="{!c.obj.Include_Axle_7__c}"
                            value="$&nbsp{0, number, #,###.0000} {!c.obj.Currency__c} /{!c.obj.Unit__c} <br/>" escape = "false">
                                <apex:param value="{!c.Axle7Price}"/>
                            </apex:outputText>
                            <apex:outputText rendered="{!c.obj.Include_Axle_8__c}"
                            value="$&nbsp{0, number, #,###.0000} {!c.obj.Currency__c} /{!c.obj.Unit__c} <br/>" escape = "false">
                                <apex:param value="{!c.Axle8Price}"/>
                            </apex:outputText>                 
                        </apex:column>   
                        <apex:column >
                            <apex:facet name="header">Quantity (Unit)</apex:facet>
                            <apex:outputText value="{!FLOOR(c.obj.Quantity)} ({!c.obj.Unit__c})"/>                        
                        </apex:column>
                        <apex:column styleClass="highlightcol" > 
                            <apex:facet name="header">Additive</apex:facet>
                            <apex:outputText value="{!c.obj.Additive__c}"/>
                        </apex:column>                                        
                        <apex:column styleClass="highlightcol" style="text-align:center" > 
                            <apex:facet name="header">Additive<br/>(%) </apex:facet>
                            <apex:outputText value="{!c.obj.Anti_Strip__c}"/>
                        </apex:column>
                        <apex:column style="text-align:left; padding-left:5px" rendered="{!AND(opp.Freight != null, opp.Freight.Husky_Supplier_1_Selected__c)}">
                            <apex:facet name="header" >Min Load (Unit)</apex:facet>
                            <apex:outputText rendered="{!c.obj.Include_Sales_Price__c}" value="{!opp.Freight.Supplier_1_Min_Load__c} ({!opp.Freight.Supplier_1_Unit__c}) <br/>" escape="false"/>                                                        
                            <apex:outputText rendered="{!c.obj.Include_Axle_5__c}" value="{!opp.Freight.Emulsion_Min_Load5_Supplier1__c} ({!opp.Freight.Supplier_1_Unit__c}) <br/>" escape="false"/>
                            <apex:outputText rendered="{!c.obj.Include_Axle_6__c}" value="{!opp.Freight.Emulsion_Min_Load6_Supplier1__c} ({!opp.Freight.Supplier_1_Unit__c}) <br/>" escape="false"/>
                            <apex:outputText rendered="{!c.obj.Include_Axle_7__c}" value="{!opp.Freight.Emulsion_Min_Load7_Supplier1__c} ({!opp.Freight.Supplier_1_Unit__c}) <br/>" escape="false"/>                                                         
                            <apex:outputText rendered="{!c.obj.Include_Axle_8__c}" value="{!opp.Freight.Emulsion_Min_Load8_Supplier1__c} ({!opp.Freight.Supplier_1_Unit__c}) <br/>" escape="false"/>                                                                                
                        </apex:column>                        
                         <apex:column style="text-align:left; padding-left:5px" rendered="{!AND(opp.Freight != null, opp.Freight.Husky_Supplier_2_Selected__c)}">   
                            <apex:facet name="header" >Min Load (Unit)</apex:facet>            
                            <apex:outputText rendered="{!c.obj.Include_Sales_Price__c}" value="{!opp.Freight.Supplier_2_Min_Load__c} ({!opp.Freight.Supplier_2_Unit__c}) <br />" escape="false"/>                                                        
                            <apex:outputText rendered="{!c.obj.Include_Axle_5__c}" value="{!opp.Freight.Emulsion_Min_Load5_Supplier2__c} ({!opp.Freight.Supplier_2_Unit__c}) <br />" escape="false"/>
                            <apex:outputText rendered="{!c.obj.Include_Axle_6__c}" value="{!opp.Freight.Emulsion_Min_Load6_Supplier2__c} ({!opp.Freight.Supplier_2_Unit__c}) <br />" escape="false"/>
                            <apex:outputText rendered="{!c.obj.Include_Axle_7__c}" value="{!opp.Freight.Emulsion_Min_Load7_Supplier2__c} ({!opp.Freight.Supplier_2_Unit__c}) <br />" escape="false"/>                                                         
                            <apex:outputText rendered="{!c.obj.Include_Axle_8__c}" value="{!opp.Freight.Emulsion_Min_Load8_Supplier2__c} ({!opp.Freight.Supplier_2_Unit__c}) <br />" escape="false"/>                                                                                  
                        </apex:column>
                    </apex:dataTable>
            
                <br/>    
            </apex:repeat>
            
            <table width="100%">
                <tr>
                    <td>ADDITIONAL COMMENTS:</td>
                </tr>
                <tr>
                    <td>
                        {!quote.contactComments}
                    </td>
                </tr>
            </table>
            
            <hr width="60%"/>
            
            <table width="100%" style="font-size:54%">
                <tr>
                    <td>
                        Husky Offers to sell you the refined products described in this offer of sale. This offer expires at 5pm (MDT) on 
                        <b>
                           <apex:outputText value="{0,date,MM/dd/yyyy}">
                               <apex:param value="{!quote.acceptanceDeadline}" />
                           </apex:outputText>
                        </b>   
                        unless your signed acceptance of this offer is received by Husky Marketing and Supply Company at the address set forth above. The price(s) quoted in this offer is the purchase price
                        you agree to pay for the asphalt products purchased under this offer and is exclusive of any taxes, duties or custom charges.<br/><br/>
                        
                        This offer subject to Husky's Standard Terms and Conditions, as outlined in a separate document.  Please contact me if you have any questions.<br/><br/>
                        
                        Yours truly,<br/><br/>
                        
                        <b>Husky Marketing and Supply Company</b><br/>
                        <br/>
                        <apex:image url="{!quote.signatureImageURL}" width="81" height="50"/><br/><br/>
                        {!quote.signatureName}
                        <!-- {!quote.signatureImageURL} -->
                    </td>
                </tr>
            </table>
            
            <div style="page-break-after: avoid;">
                <table width="100%" style="font-size:70%">
                    <tr width="100%">
                        <td>
                            <apex:outputText value="{!quote.tenderName}"/>
                        </td>
                        <td align="right" style="font-size:150%">
                            <bold>ACCEPTANCE</bold>
                        </td>                    
                    </tr>
                </table>
                <table width="100%" style="font-size:70%; border: 1px solid" cellpadding="5">
                    <tr width="100%">
                        <td>
                            We hereby agree to the prices, terms and conditions quoted above.<br/>
                        </td>
                    </tr>
                    <tr>    
                        <td width="60%" style="font-size:150%">
                            <bold>SIGNATURE:</bold>
                            <br/>
                        </td>                      
                        <td style="font-size:150%">
                            <bold>DATE:</bold>
                            <br/>
                        </td>                    
                    </tr>
                    <tr>    
                        <td style="font-size:150%">
                            <bold>NAME:</bold>
                            <br/>
                        </td>                      
                        <td  style="font-size:150%">
                            <bold>PURCHASE ORDER#:</bold>
                            <br/>
                        </td>                    
                    </tr> 
            </table>                      
            <apex:outputPanel rendered="{!quote.marketerFax != null}">
                <table width="100%" style="font-size:80%" cellpadding="5">
                            <tr width="100%">
                            <td align="center">
                                <bold>Please fax signed copy to {!quote.marketerFax} </bold>
                            </td>                   
                            </tr>
                </table>
            </apex:outputPanel>
            <apex:outputPanel rendered="{!quote.marketerFax == null}">
                <table width="100%" style="font-size:80%" cellpadding="5">
                    <tr width="100%">
                    <td align="center">
                        <bold>Please email signed copy to {!quote.marketerEmail} </bold>
                    </td>                   
                    </tr>
           
                </table>
                
                
            </apex:outputPanel>
                               
            </div>            
        </div>
        
    </body>
    
</apex:page>